## status-area-applet-tor 0.0.1-3

=== Makefile ===
VERSION=0.0.1
CFLAGS= -Wall -pedantic

all: status-area-applet-tor.so

ICON_DIR=$(DESTDIR)`pkg-config libhildondesktop-1 --variable=prefix`/share/icons/hicolor
SM_LIB_DIR=$(DESTDIR)`pkg-config libhildondesktop-1 --variable=hildondesktoplibdir`
SM_DESKTOP_DIR=$(DESTDIR)`pkg-config libhildondesktop-1 --variable=hildonstatusmenudesktopentrydir`

install:
	mkdir -p $(ICON_DIR)/18x18/hildon/
	mkdir -p $(ICON_DIR)/48x48/hildon/
	mkdir -p $(SM_LIB_DIR)
	mkdir -p $(SM_DESKTOP_DIR)
	cp data/tor_status_connected.png $(ICON_DIR)/18x18/hildon/
	cp data/tor_status_disabled.png $(ICON_DIR)/18x18/hildon/
	cp data/tor_status_connecting.png $(ICON_DIR)/18x18/hildon/
	cp data/tor_onion.png $(ICON_DIR)/48x48/hildon/tor_onion.png
	cp data/status-area-applet-tor.desktop $(SM_DESKTOP_DIR)
	cp status-area-applet-tor.so $(SM_LIB_DIR)

uninstall:
	rm $(SM_LIB_DIR)/status-area-applet-tor.so
	rm $(SM_DESKTOP_DIR)/status-area-applet-tor.desktop
	rm $(ICON_DIR)/18x18/hildon/tor_status_connected.png
	rm $(ICON_DIR)/18x18/hildon/tor_status_disabled.png
	rm $(ICON_DIR)/18x18/hildon/tor_status_connecting.png
	rm $(ICON_DIR)/48x48/hildon/tor_onion.png

status-area-applet-tor.so: src/status-area-applet-tor.c
	$(CC) -shared -Wall `pkg-config libhildondesktop-1 gconf-2.0 conic --cflags --libs` -o $@ $^

src/status-area-applet-tor.c: src/status-area-applet-tor.vala
	valac -C --vapidir ./vapi --pkg conic --pkg gconf-2.0 --pkg hildon-1 --pkg libhildondesktop-1 --pkg libosso --pkg posix $^

clean:
	-rm -f status-area-applet-tor.so src/status-area-applet-tor.c

=== debian/changelog ===
status-area-applet-tor (0.0.1-3) fremantle; urgency=low

  * Add missing build dependency on libosso-dev

 -- Philipp Zabel <philipp.zabel@gmail.com>  Tue, 19 Jan 2010 17:12:34 +0100

status-area-applet-tor (0.0.1-2) fremantle; urgency=low

  * Add missing build dependency on libconic0-dev

 -- Philipp Zabel <philipp.zabel@gmail.com>  Tue, 19 Jan 2010 16:58:49 +0100

status-area-applet-tor (0.0.1-1) fremantle; urgency=low

  * Initial release

 -- Philipp Zabel <philipp.zabel@gmail.com>  Mon, 18 Jan 2010 21:45:13 +0100

=== debian/control ===
Source: status-area-applet-tor
Section: user/network
Priority: extra
Maintainer: Philipp Zabel <philipp.zabel@gmail.com>
Build-Depends: vala (>= 0.7.9), libconic0-dev, libhildondesktop1-dev, libosso-dev
Standards-Version: 4

Package: status-area-applet-tor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tor, polipo
XB-Description: Control usage of Tor (The Onion Router) to provide online anonymity
 Tor is a network of virtual tunnels that allows people and groups to improve
 their privacy and security on the Internet. The latest information about Tor
 can be found at https://www.torproject.org/.
 .
 This package installs a status area applet that can configure the current
 proxy settings to route traffic through the Tor network.
 .
 Remember that this is development code -- don't rely on the current Tor
 network if you really need strong anonymity.
XB-Maemo-Display-Name: Tor Status Area Applet
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAAAAAAAA+UO7fwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oBDRUkOHN8XCcAAA3KSURBVGjezVp7kFRVfv5+997unp4ZhscAM8Mw
 vBFY5A0B0YiI0bi+VqMUrilXjLpGje5alY0ak03WXXyspeuCJkFdrN0E1+xq
 JQZdNeAKirCAiDyFEUFm6J6emX5M9/R09733/L78Md2kNRsZHsGcqlt17+nu
 29/3e5/fOcAZHCStsvvLVPWAqpLke6SOKc5DVfH/Yvw+IKpap6qr+N/DqCpV
 uV5VJ5YR/GrB/z4AJIeq6p4icN/1e4zrZ0nSK82p6rITISBngMhMktcDGABg
 IYCxIsLO7n3IeXEZPmA+RSwojQgEIlae5LmWZW3/yqVPslJVc/z80M861+nm
 Tx+hZ7IkyfZMMxM9Lb3eQBqSV3zV5mMX7f0XJGmM5xeB6c7Pfsl1e/9KPdOl
 yZ4I3zrwqG48/Bw9U1CSVNX95c7+VUp/nqoakuzIHFRXs7rlwAu6esMSxnv2
 6caDq3Xl5sV8/eMfMuelS+Cpqtd8MWJ92XBONwERKRH4uohYWTeOrEnIkU+3
 YNPu5zFj2uX41aanJJbdiYunfpvzRtwICIQkROR+EXml+B49406sqrAsCyTr
 AHwAoDGS3sM9R1+VfR9tZWVtCK2pTknnYvzmovtkduM3CXwO/COl94jIMWGc
 EQ2QtEXEFB/PA9AIwPvg01edvXvXoTOehdVTiWRXBxZfuvRz4AF8R0SeKr5H
 RKTPScA5TTYvImJUtVJEziZ5m4gg76ftLbvekNSRNNygI7nuCC74g6/zoonf
 QZnk7ysDjxMBf1oIFNVMkpeRXAkgDLACEBw4ulVihxP0jS3dbpKzzp4nNy56
 CICUm82jp5J5T6cTPw1gWC8pCwC4bddaaYskaQIhjJ8wAndc9TgcVAqpAORe
 EXnyZMymfFinyXkdNTpSRLB6+S+x5/39ACAHDu5G1jUSCCtuvup70i9Y7xcJ
 /r1lWU+erNn8X2iApXhWNbAKr7/0Ij3OliOHW5jIxnHDku/K1OGXEoBD0gOw
 qgT+VIu206IBy7KMZVmPAcDF117iR3oiGDW2FtfOvwnh1rPw2ooDWPVPPwcA
 X0QCAIaX/MeyrK+WQFnJvBIAQqGgPWTYCNm96yDOXzhX/vGJFTKuaRpWr/5n
 AVAKWe7/Vm6fUQIkyyUoABKWQCoCVWw++Bl6slkejbRx0OBBGD9+HMsS59Si
 5kBSziiBslrHKisblpB8C8AgANy+YxvGjm5CwfOQSnaiX2ggtm/fgVg05hQl
 /xzJW4raIEn7ZFdi1inEfyU5RFWXk3xRREYD4LKHHkMmHZVzL5iF7kxOYIzU
 Da7D9Glz5LabbwMAFrX2rKquIzlPREzJH06UhHUiki/VKMXnS0nuFJG7RARu
 wdM/v/Vu+dfVL+DJ5ffT9T34nuHgumoaP4Ob/vROpuI5XrLoEom0HiUAT0Qu
 JLlJVe853lL0dGhASvZO8j5VfV1E6gFg7Ztvc9a02dLSsgP//toKjBjTgHzO
 he8aDKqvQUVNGp2Rdnz//sfQPzgMs2fMxdMrVgQAqIhAVX9Ccp2qhi3L6lMR
 d0LVaClTkrSK5rIYALyCxztvvwdvvfmqPPDgLbj5luuQy+eRzxUQsB3s3XcQ
 MIKKfjY2vRbDsOHT0a9fFbZs3Yx/WPU4xk1q4nM/ex5jx40t1UbrRWRh8b++
 GCROTgPlaZ7kGgCLAaAt2s65c+ZLS8tOefudVbztjhuYSHbB83wCoBqFkuxJ
 5xiurkT9KHDfzl3s7IzjrHFf48MPPsOAVyvnzD0Hr61ZI0VtLFDVN4rZGdIH
 VVjHs/sSeFX9awCXigh27djN2dNn4YIFE/naGyvRMHwoOto6EAw6MAWDrmi6
 V7cCgERXrBtjpjUgmfoEmVQOyXgCbt7D0iV34fLzbsR111zP51Y+K8XQejHJ
 9apqlzRx0gTKHPaPAPxQRHDkUAsXXXCRLL3pcnli+d9JOp1FTzYnoXBQMvEs
 IvujEqhwJFgZ7K16HEviLQlUVYZl7ORBsmvHRwg4Qclms9LZ2Y4/nLdIll59
 r9x5+z3y8q9eZjFbny8i3y7HcEpOTPJ7xReZKy77hlx55bl46NF7Ge/ooAhg
 WcKWjyNMRpKoGz+UNXU1NJ6B8Q3719WwJ59HV0eWQ0b2YzJ5FIW8T8/16RY8
 tMfbOWncVF594bdwy5/diqOtraVc8YNTikKqWir0F6jqRQDw0PeX2YVCJ5c/
 87dIJhKwbQuFgostGz6CbwxGTGlCqDII3/WPFWq+Z9A4vh6HmltQW1uDQGUB
 ra0R0BBuwYVX8JBMxjFv+kIMrhyFu+/+i5LQakn+ZXmX44QIiIhd/PGttm2j
 J5vDz154Hg/+zR0SrHAgECkUPNmwdiuaxjbK2CkjxfgGxlexHVtAAQ2lO9Et
 gxoGIp3slqpwlTCcRTR2VKginufDeEZ8z0hXpgt/fN51sn7d+9iyaQtt2wbJ
 u0hWly1VT4iAr6ojAVwIAC//+hVWhRxefsVCZtI9EBG++/YWTjx7LEaOHsZc
 T55iCQKhALvjWaZjadhBm4WsSzfnYezXRrLlUJTBSiKVSNB4pO8Z+J5Pz1cW
 8gUMrKlljdPAl156UYoY+gOYcSo+MFhEggDwmzfekIULZ6GquhLBUADbfrcb
 tYMHYsz4JmSzOTgBB0IgejCGZFsK/etrEAg6EFsQPRDFwPoBSHSkMLC2BulM
 CrlcAZ5r4LoGXsFHwfVhfGLSmJl4772NyGayANC/2I486Sg0AUCtmy+g+eNm
 zJs/TRzHllQyg7Zoh0ydOVHyuQIqwkEp5F3Zvmk36KuMnNokYglASP+6Gkml
 M+jqzEj/2hrJ5wtw/ZwU8q74voHvGTG+Ed8zcF1PagfUSUe0C0cjR3k8+++L
 Bs4GgGQqpb5XQF39EIpdye1b92D8hNEMhgK0LEEh53LDui1sHN2AxgkN9Aoe
 RQRe3mN1vyoqiGy6hwNr+7MzloBRj57n0XgK31P6vlJ9het6DDoVTCd6kEwm
 0JcG1/EI5AHA933LCdioCIcAGBjfRzAU6F2TOg5++5+bMenscRg+sh5uweuN
 3QJkOrrR0RrH6AlNaI/FYdQgk87CqIHnGniege8Z+K6B5xt4ng9RG8ZXeL7b
 p32C4xEIAUAgEKAq4XmeAH6xGUWprAzLzh37MWBQjYwa0yiFvAsRESfgSOuB
 CAyNRA+3Sf3wIYi3J4WkZLM5qKEYo71Ry6j4RsV4CuNTcoW8VISDCIcr5XRU
 o5sB+LW1tVJRUYVotJ1AFVOJNAo5l7bjsL2tEw2NQ2lZFkkiGAow0hJjS6QN
 w0bXM+cV2N3dA7GFnmdYcF2oAWlI31cY39D4hsYoYITd3RkOGFKN2kG1peVn
 8FRqoRiAtO3YmDJlCjZt/BBAHvXDhiKTzqK9rQMV4RCq+1XC931YloVcTwEH
 9h/G5BlnIVgRQLg6jCOHoggGHSTiKago1FhQA/i9PgDjFy9DRDtb0TS6DsMb
 R5QSafRUotDHJFMAcNFFi7j+nQ8l0dEuCxbNwYH9h8S2benpziHbnRPbsUUE
 8D1PUsm01NcPBglxgo6k4l3w1EhHLCFOwIGFoKhCjOk1IWNU1BC+b+RQZI/M
 nTuXTtAGgKSIbD4pAiQdEUmLyG9J4trF14giiP949W2Gq2rQNKKBn37SwkAo
 gGS8i5ZlERC4ns9gMEjX9eA4FtUYep6Pguux5UiU8C2EQ/2ovrJX6kpjlAIb
 7Z0R+qE4/+Sa60oYIiKy7csc+csI+MXbR1TVwALuv/8BLFv2LLoSCcw/fybe
 Xf8Bps2YhP0fH0KuJw8RgW3bSGe64TgOAIFPhTEGtiU43NKKtqMZ1FQOhOf5
 UKPHLlCwYe/LWHz91TJ91nTxfR8i8tJJ10KllZCIfGLb9i8A4IYbl5hp087B
 Ddffi9ohQ2Xu/Gmy+f0dqG8YLHt2Nku4MgQBxPd8UaOwejcuJJPJoidbkEQq
 KV1xRf/KWvF8V1QJoS0hu0o27Pg3DB0Rkh//+HECgG3bWZI/LWIwJ6OB8vsn
 2NuRtX/+L6uQSCquunQp58yeTNuxEAwFuG/vQcaicQypG8T6hiH8YNtuVFVX
 UQEmU2kcbD7MaKSTdQNGwZEgjW/oWBWAWly3/SV2Bw/h5Vde0X79a0p10K2W
 ZXUdb03wZcXcse6AZVm7AFxGEhXhCln/3ju0AkNl+pRvwBILLZ/F0NBQh9+s
 WY9EvAszZk/CB9v2AATi7UlAibVvb0RbtAfj6mbCKBF0KhCLf4Zfb30KgycY
 bHz/Pc6YNcMqCuxhEXmxL4lM+rCYOSYBVf0RgAdKz8t/8jSf/ukKGTQ4hHBF
 CJMnj8e40SMwZcYERCMdaGvrxPZtexCLtWPtu1twzojFaKqdiEOx3WiOfAjp
 l8Gtt3+LP/jBjyRUESqBfdiyrAe++N9fhuuEjgyQXFK+95tMpMzKZ57ngnkL
 taqiimNHN+mCebN16ZIred7MqTq+abgCoKBCh1dP1prgUM6aOkcffWQZmw80
 67HzBsaQ5ON9OWpQ1h3s+yZfOWOSE0g+JiJXFj82ADSV6LK3/W47mpv3W7GO
 GPK5PF23gKrqahk4YADGjBvNOXNna2PjcAJilUyY5G4A37Usa21fpFu2mXhq
 5x9Inq+qq/k/hxavL859fkL1TZJ3fkHDferMlb5zUp1hkkLStizLLz5PAzCp
 2G4cRfL8YxsfZb4mIm0iskZEjgBYA2BnKUSqqmVZlp6INZDEfwEkdhjnJu1o
 FQAAAABJRU5ErkJggg==

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DH_COMPAT=4
export DH_OPTIONS

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_ARCH   ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	#CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	#	 --prefix=/usr

build: build-stamp

build-stamp: config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_install --sourcedir=debian/tmp
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-arch binary-indep binary install configure

## status-area-applet-tor 0.0.2-1

=== Makefile ===
# Makefile.in generated by automake 1.10.1 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.





pkgdatadir = $(datadir)/status-area-applet-tor
pkglibdir = $(libdir)/status-area-applet-tor
pkgincludedir = $(includedir)/status-area-applet-tor
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
subdir = .
DIST_COMMON = $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
	$(top_srcdir)/configure config.guess config.sub depcomp \
	install-sh ltmain.sh missing mkinstalldirs
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/vala.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(hildondesktoplibdir)" \
	"$(DESTDIR)$(hildonstatusmenudesktopentrydir)" \
	"$(DESTDIR)$(icon18dir)" "$(DESTDIR)$(icon48dir)"
hildondesktoplibLTLIBRARIES_INSTALL = $(INSTALL)
LTLIBRARIES = $(hildondesktoplib_LTLIBRARIES)
am__DEPENDENCIES_1 =
status_area_applet_tor_la_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
am_status_area_applet_tor_la_OBJECTS =  \
	status_area_applet_tor_la-status-area-applet-tor.lo
status_area_applet_tor_la_OBJECTS =  \
	$(am_status_area_applet_tor_la_OBJECTS)
status_area_applet_tor_la_LINK = $(LIBTOOL) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(status_area_applet_tor_la_CFLAGS) $(CFLAGS) \
	$(status_area_applet_tor_la_LDFLAGS) $(LDFLAGS) -o $@
DEFAULT_INCLUDES = -I.
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(status_area_applet_tor_la_SOURCES)
DIST_SOURCES = $(status_area_applet_tor_la_SOURCES)
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
hildonstatusmenudesktopentryDATA_INSTALL = $(INSTALL_DATA)
icon18DATA_INSTALL = $(INSTALL_DATA)
icon48DATA_INSTALL = $(INSTALL_DATA)
DATA = $(hildonstatusmenudesktopentry_DATA) $(icon18_DATA) \
	$(icon48_DATA)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/ph5/tor/tor-status/missing --run aclocal-1.10
ALL_LINGUAS = de
AMTAR = ${SHELL} /home/ph5/tor/tor-status/missing --run tar
AR = arm-linux-gnueabi-ar
AUTOCONF = ${SHELL} /home/ph5/tor/tor-status/missing --run autoconf
AUTOHEADER = ${SHELL} /home/ph5/tor/tor-status/missing --run autoheader
AUTOMAKE = ${SHELL} /home/ph5/tor/tor-status/missing --run automake-1.10
AWK = gawk
CATALOGS =  de.gmo
CATOBJEXT = .gmo
CC = arm-linux-gnueabi-gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Wall -g -O2 -Wall -ansi -Wmissing-prototypes -Wmissing-declarations
CONIC_CFLAGS = -I/usr/include/conic -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
CONIC_LIBS = -lconic -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
CPP = arm-linux-gnueabi-gcc -E
CPPFLAGS = 
CXX = arm-linux-gnueabi-g++
CXXCPP = arm-linux-gnueabi-g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DATADIRNAME = share
DBUS_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
DBUS_LIBS = -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GCONF_CFLAGS = -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GCONF_LIBS = -lgconf-2 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
GETTEXT_PACKAGE = status-area-applet-tor
GMOFILES =  de.gmo
GMSGFMT = /scratchbox/tools/bin/msgfmt
GREP = /scratchbox/tools/bin/grep
HD_CFLAGS = -DMAEMO_CHANGES -DMAEMO_GTK -pthread -I/usr/include/libhildondesktop-1 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/hildon-1 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gconf/2  
HD_LIBS = -pthread -lhildondesktop-1 -lhildon-1 -lgnomevfs-2 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
HILDON_CFLAGS = -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
HILDON_LIBS = -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INSTOBJEXT = .mo
INTLLIBS = 
INTLTOOL_EXTRACT = /scratchbox/devkits/doctools/bin/intltool-extract
INTLTOOL_MERGE = /scratchbox/devkits/doctools/bin/intltool-merge
INTLTOOL_PERL = /scratchbox/tools/bin/perl
INTLTOOL_UPDATE = /scratchbox/devkits/doctools/bin/intltool-update
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/ph5/tor/tor-status/missing --run makeinfo
MKDIR_P = /scratchbox/tools/bin/mkdir -p
MKINSTALLDIRS = ./mkinstalldirs
MSGFMT = /scratchbox/tools/bin/msgfmt
MSGFMT_OPTS = -c
MSGMERGE = /scratchbox/tools/bin/msgmerge
NMEDIT = 
OBJEXT = o
OSSOSETTINGS_CFLAGS =  
OSSOSETTINGS_LIBS =  
OSSO_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include  
OSSO_LIBS = -losso -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
PACKAGE = status-area-applet-tor
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
POFILES =  de.po
POSUB = po
PO_IN_DATADIR_FALSE = 
PO_IN_DATADIR_TRUE = 
RANLIB = arm-linux-gnueabi-ranlib
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = arm-linux-gnueabi-strip
USE_NLS = yes
VALAC = /usr/bin/valac
VERSION = 0.0.2
XGETTEXT = /scratchbox/tools/bin/xgettext
abs_builddir = /home/ph5/tor/tor-status
abs_srcdir = /home/ph5/tor/tor-status
abs_top_builddir = /home/ph5/tor/tor-status
abs_top_srcdir = /home/ph5/tor/tor-status
ac_ct_CC = 
ac_ct_CXX = 
ac_ct_F77 = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = arm-linux-gnueabi
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
hildondesktoplibdir = /usr/lib/hildon-desktop
hildonstatusmenudesktopentrydir = /usr/share/applications/hildon-status-menu
host = arm-unknown-linux-gnueabi
host_alias = arm-linux-gnueabi
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
icon18dir = /usr/share/icons/hicolor/18x18
icon48dir = /usr/share/icons/hicolor/48x48
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = $(SHELL) /home/ph5/tor/tor-status/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = /usr/share/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /scratchbox/tools/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_builddir = .
top_srcdir = .

# List extras to package
EXTRA_DIST = \
	autogen.sh \
	autovapi.sh


# Sub directories
SUBDIRS = po

# Binary
hildondesktoplib_LTLIBRARIES = \
	status-area-applet-tor.la

hildonstatusmenudesktopentry_DATA = \
	data/status-area-applet-tor.desktop

icon48_DATA = \
	data/tor_onion.png

icon18_DATA = \
	data/tor_status_connected.png \
	data/tor_status_connecting.png

status_area_applet_tor_la_SOURCES = \
	src/status-area-applet-tor.c

status_area_applet_tor_la_VALASOURCES = \
	src/status-area-applet-tor.vala

status_area_applet_tor_la_VALAFLAGS = --vapidir ./vapi --pkg config \
	--pkg conic --pkg gconf-2.0 --pkg hildon-1 --pkg libhildondesktop-1 \
	--pkg libosso --pkg posix

status_area_applet_tor_la_CFLAGS = ${HD_CFLAGS} ${GCONF_CFLAGS} ${CONIC_CFLAGS} \
        -DGETTEXT_PACKAGE=\"status-area-applet-tor\"

status_area_applet_tor_la_LIBADD = ${HD_LIBS} ${GCONF_LIBS} ${CONIC_LIBS}
status_area_applet_tor_la_LDFLAGS = -module -avoid-version
ACLOCAL_AMFLAGS = -Im4
CLEANFILES = \
	${status_area_applet_tor_SOURCES}

all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
am--refresh:
	@:

=== debian/changelog ===
status-area-applet-tor (0.0.2-1) fremantle; urgency=low

  * Use autotools to build
  * Add localisation, German translation
  * Depend on Tor 0.2.1.22 bugfix release
  * Remove the "Tor disabled" icon

 -- Philipp Zabel <philipp.zabel@gmail.com>  Sun, 24 Jan 2010 02:19:47 +0100

## status-area-applet-tor 0.0.3-1

=== Makefile ===
--- 
+++ 
@@ -240,8 +240,8 @@
 host_os = linux-gnueabi
 host_vendor = unknown
 htmldir = ${docdir}
-icon18dir = /usr/share/icons/hicolor/18x18
-icon48dir = /usr/share/icons/hicolor/48x48
+icon18dir = /usr/share/icons/hicolor/18x18/hildon
+icon48dir = /usr/share/icons/hicolor/48x48/hildon
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
 install_sh = $(SHELL) /home/ph5/tor/tor-status/install-sh
@@ -281,11 +281,12 @@
 	data/status-area-applet-tor.desktop
 
 icon48_DATA = \
-	data/tor_onion.png
+	data/statusarea_tor_enabled.png \
+	data/statusarea_tor_disabled.png
 
 icon18_DATA = \
-	data/tor_status_connected.png \
-	data/tor_status_connecting.png
+	data/statusarea_tor_connected.png \
+	data/statusarea_tor_connecting.png
 
 status_area_applet_tor_la_SOURCES = \
 	src/status-area-applet-tor.c
@@ -310,6 +311,3 @@
 	$(MAKE) $(AM_MAKEFLAGS) all-recursive
 
 .SUFFIXES:
-.SUFFIXES: .c .lo .o .obj
-am--refresh:
-	@:

=== po/Makefile ===
# Makefile for program source directory in GNU NLS utilities package.
# Copyright (C) 1995, 1996, 1997 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
# Copyright (C) 2004-2008 Rodney Dawes <dobey.pwns@gmail.com>
#
# This file may be copied and used freely without restrictions.  It may
# be used in projects which are not available under a GNU Public License,
# but which still want to provide support for the GNU gettext functionality.
#
# - Modified by Owen Taylor <otaylor@redhat.com> to use GETTEXT_PACKAGE
#   instead of PACKAGE and to look for po2tbl in ./ not in intl/
#
# - Modified by jacob berkman <jacob@ximian.com> to install
#   Makefile.in.in and po2tbl.sed.in for use with glib-gettextize
#
# - Modified by Rodney Dawes <dobey.pwns@gmail.com> for use with intltool
#
# We have the following line for use by intltoolize:
# INTLTOOL_MAKEFILE

GETTEXT_PACKAGE = status-area-applet-tor
PACKAGE = status-area-applet-tor
VERSION = 0.0.2

SHELL = /bin/sh

srcdir = .
top_srcdir = ..
top_builddir = ..


prefix = /usr
exec_prefix = ${prefix}
datadir = ${datarootdir}
datarootdir = ${prefix}/share
libdir = ${exec_prefix}/lib
DATADIRNAME = share
itlocaledir = $(prefix)/$(DATADIRNAME)/locale
subdir = po
install_sh = $(SHELL) /home/ph5/tor/tor-status/install-sh
# Automake >= 1.8 provides /scratchbox/tools/bin/mkdir -p.
# Until it can be supposed, use the safe fallback:
mkdir_p = $(install_sh) -d

INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644

GMSGFMT = /scratchbox/tools/bin/msgfmt
MSGFMT = /scratchbox/tools/bin/msgfmt
XGETTEXT = /scratchbox/tools/bin/xgettext
INTLTOOL_UPDATE = /scratchbox/devkits/doctools/bin/intltool-update
INTLTOOL_EXTRACT = /scratchbox/devkits/doctools/bin/intltool-extract
MSGMERGE = INTLTOOL_EXTRACT=$(INTLTOOL_EXTRACT) srcdir=$(srcdir) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --dist
GENPOT   = INTLTOOL_EXTRACT=$(INTLTOOL_EXTRACT) srcdir=$(srcdir) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --pot

ALL_LINGUAS = de

PO_LINGUAS=$(shell if test -r $(srcdir)/LINGUAS; then grep -v "^\#" $(srcdir)/LINGUAS; else echo "$(ALL_LINGUAS)"; fi)

USER_LINGUAS=$(shell if test -n "$(LINGUAS)"; then LLINGUAS="$(LINGUAS)"; ALINGUAS="$(ALL_LINGUAS)"; for lang in $$LLINGUAS; do if test -n "`grep ^$$lang$$ $(srcdir)/LINGUAS 2>/dev/null`" -o -n "`echo $$ALINGUAS|tr ' ' '\n'|grep ^$$lang$$`"; then printf "$$lang "; fi; done; fi)

USE_LINGUAS=$(shell if test -n "$(USER_LINGUAS)" -o -n "$(LINGUAS)"; then LLINGUAS="$(USER_LINGUAS)"; else if test -n "$(PO_LINGUAS)"; then LLINGUAS="$(PO_LINGUAS)"; else LLINGUAS="$(ALL_LINGUAS)"; fi; fi; for lang in $$LLINGUAS; do printf "$$lang "; done)

POFILES=$(shell LINGUAS="$(PO_LINGUAS)"; for lang in $$LINGUAS; do printf "$$lang.po "; done)

DISTFILES = Makefile.in.in POTFILES.in $(POFILES)
EXTRA_DISTFILES = ChangeLog POTFILES.skip Makevars LINGUAS

POTFILES = \
	../src/status-area-applet-tor.vala

CATALOGS=$(shell LINGUAS="$(USE_LINGUAS)"; for lang in $$LINGUAS; do printf "$$lang.gmo "; done)

.SUFFIXES:
.SUFFIXES: .po .pox .gmo .mo .msg .cat

.po.pox:
	$(MAKE) $(GETTEXT_PACKAGE).pot
	$(MSGMERGE) $< $(GETTEXT_PACKAGE).pot -o $*.pox

.po.mo:
	$(MSGFMT) -o $@ $<

.po.gmo:
	file=`echo $* | sed 's,.*/,,'`.gmo \
	  && rm -f $$file && $(GMSGFMT) -o $$file $<

.po.cat:
	sed -f ../intl/po2msg.sed < $< > $*.msg \
	  && rm -f $@ && gencat $@ $*.msg


all: all-yes

all-yes: $(CATALOGS)
all-no:

$(GETTEXT_PACKAGE).pot: $(POTFILES)
	$(GENPOT)

install: install-data
install-data: install-data-yes
install-data-no: all
install-data-yes: all
	linguas="$(USE_LINGUAS)"; \
	for lang in $$linguas; do \
	  dir=$(DESTDIR)$(itlocaledir)/$$lang/LC_MESSAGES; \
	  $(mkdir_p) $$dir; \
	  if test -r $$lang.gmo; then \
	    $(INSTALL_DATA) $$lang.gmo $$dir/$(GETTEXT_PACKAGE).mo; \
	    echo "installing $$lang.gmo as $$dir/$(GETTEXT_PACKAGE).mo"; \
	  else \
	    $(INSTALL_DATA) $(srcdir)/$$lang.gmo $$dir/$(GETTEXT_PACKAGE).mo; \
	    echo "installing $(srcdir)/$$lang.gmo as" \
		 "$$dir/$(GETTEXT_PACKAGE).mo"; \
	  fi; \
	  if test -r $$lang.gmo.m; then \
	    $(INSTALL_DATA) $$lang.gmo.m $$dir/$(GETTEXT_PACKAGE).mo.m; \
	    echo "installing $$lang.gmo.m as $$dir/$(GETTEXT_PACKAGE).mo.m"; \
	  else \
	    if test -r $(srcdir)/$$lang.gmo.m ; then \
	      $(INSTALL_DATA) $(srcdir)/$$lang.gmo.m \
		$$dir/$(GETTEXT_PACKAGE).mo.m; \
	      echo "installing $(srcdir)/$$lang.gmo.m as" \
		   "$$dir/$(GETTEXT_PACKAGE).mo.m"; \
	    else \
	      true; \
	    fi; \
	  fi; \
	done

# Empty stubs to satisfy archaic automake needs
dvi info tags TAGS ID:

# Define this as empty until I found a useful application.
install-exec installcheck:

uninstall:
	linguas="$(USE_LINGUAS)"; \
	for lang in $$linguas; do \
	  rm -f $(DESTDIR)$(itlocaledir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE).mo; \
	  rm -f $(DESTDIR)$(itlocaledir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE).mo.m; \
	done

check: all $(GETTEXT_PACKAGE).pot
	rm -f missing notexist
	srcdir=$(srcdir) $(INTLTOOL_UPDATE) -m
	if [ -r missing -o -r notexist ]; then \
	  exit 1; \
	fi

mostlyclean:
	rm -f *.pox $(GETTEXT_PACKAGE).pot *.old.po cat-id-tbl.tmp
	rm -f .intltool-merge-cache

clean: mostlyclean

distclean: clean
	rm -f Makefile Makefile.in POTFILES stamp-it
	rm -f *.mo *.msg *.cat *.cat.m *.gmo

maintainer-clean: distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."
	rm -f Makefile.in.in

distdir = ../$(PACKAGE)-$(VERSION)/$(subdir)
dist distdir: $(DISTFILES)
	dists="$(DISTFILES)"; \
	extra_dists="$(EXTRA_DISTFILES)"; \
	for file in $$extra_dists; do \
	  test -f $(srcdir)/$$file && dists="$$dists $(srcdir)/$$file"; \
	done; \
	for file in $$dists; do \
	  test -f $$file || file="$(srcdir)/$$file"; \
	  ln $$file $(distdir) 2> /dev/null \
	    || cp -p $$file $(distdir); \
	done

update-po: Makefile
	$(MAKE) $(GETTEXT_PACKAGE).pot
	tmpdir=`pwd`; \
	linguas="$(USE_LINGUAS)"; \
	for lang in $$linguas; do \
	  echo "$$lang:"; \
	  result="`$(MSGMERGE) -o $$tmpdir/$$lang.new.po $$lang`"; \
	  if $$result; then \
	    if cmp $(srcdir)/$$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
	      rm -f $$tmpdir/$$lang.new.po; \
            else \
	      if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
	        :; \
	      else \
	        echo "msgmerge for $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
	        rm -f $$tmpdir/$$lang.new.po; \
	        exit 1; \
	      fi; \
	    fi; \
	  else \
	    echo "msgmerge for $$lang.gmo failed!"; \
	    rm -f $$tmpdir/$$lang.new.po; \
	  fi; \
	done

Makefile POTFILES: stamp-it
	@if test ! -f $@; then \
	  rm -f stamp-it; \
	  $(MAKE) stamp-it; \
	fi

stamp-it: Makefile.in.in $(top_builddir)/config.status POTFILES.in
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/Makefile.in CONFIG_HEADERS= CONFIG_LINKS= \
	       $(SHELL) ./config.status

# Tell versions [3.59,3.63) of GNU make not to export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== debian/changelog ===
status-area-applet-tor (0.0.3-1) fremantle; urgency=low

  * Fixed installation path of icons, which was wrong in 0.0.2-1
  * Added an icon for the disabled state to the status menu button

 -- Philipp Zabel <philipp.zabel@gmail.com>  Mon, 25 Jan 2010 19:07:12 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: user/network
 Priority: extra
 Maintainer: Philipp Zabel <philipp.zabel@gmail.com>
-Build-Depends: vala (>= 0.7.9), libconic0-dev, libhildondesktop1-dev, libosso-dev
+Build-Depends: vala (>= 0.7.9), libconic0-dev, libhildondesktop1-dev, libosso-dev, osso-af-settings
 Standards-Version: 4
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=Tor
 
 Package: status-area-applet-tor
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, tor, polipo
+Depends: ${shlibs:Depends}, ${misc:Depends}, tor (>= 0.2.1.22), polipo
 XB-Description: Control usage of Tor (The Onion Router) to provide online anonymity
  Tor is a network of virtual tunnels that allows people and groups to improve
  their privacy and security on the Internet. The latest information about Tor
@@ -19,6 +20,7 @@
  Remember that this is development code -- don't rely on the current Tor
  network if you really need strong anonymity.
 XB-Maemo-Display-Name: Tor Status Area Applet
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=Tor&component=UI
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAAAAAAAA+UO7fwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0

## status-area-applet-tor 0.0.4-1

=== Makefile ===
--- 
+++ 
@@ -63,7 +63,9 @@
 status_area_applet_tor_la_DEPENDENCIES = $(am__DEPENDENCIES_1) \
 	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
 am_status_area_applet_tor_la_OBJECTS =  \
-	status_area_applet_tor_la-status-area-applet-tor.lo
+	status_area_applet_tor_la-status-area-applet-tor.lo \
+	status_area_applet_tor_la-torcontrol.lo \
+	status_area_applet_tor_la-torcontrol-socket.lo
 status_area_applet_tor_la_OBJECTS =  \
 	$(am_status_area_applet_tor_la_OBJECTS)
 status_area_applet_tor_la_LINK = $(LIBTOOL) --tag=CC \
@@ -113,18 +115,18 @@
 distuninstallcheck_listfiles = find . -type f -print
 distcleancheck_listfiles = find . -type f -print
 ACLOCAL = ${SHELL} /home/ph5/tor/tor-status/missing --run aclocal-1.10
-ALL_LINGUAS = de
+ALL_LINGUAS = de fi
 AMTAR = ${SHELL} /home/ph5/tor/tor-status/missing --run tar
 AR = arm-linux-gnueabi-ar
 AUTOCONF = ${SHELL} /home/ph5/tor/tor-status/missing --run autoconf
 AUTOHEADER = ${SHELL} /home/ph5/tor/tor-status/missing --run autoheader
 AUTOMAKE = ${SHELL} /home/ph5/tor/tor-status/missing --run automake-1.10
 AWK = gawk
-CATALOGS =  de.gmo
+CATALOGS =  de.gmo fi.gmo
 CATOBJEXT = .gmo
 CC = arm-linux-gnueabi-gcc
 CCDEPMODE = depmode=gcc3
-CFLAGS = -Wall -g -O2 -Wall -ansi -Wmissing-prototypes -Wmissing-declarations
+CFLAGS = -Wall -g -O2 -Wall -Wmissing-prototypes -Wmissing-declarations
 CONIC_CFLAGS = -I/usr/include/conic -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
 CONIC_LIBS = -lconic -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
 CPP = arm-linux-gnueabi-gcc -E
@@ -151,7 +153,7 @@
 GCONF_CFLAGS = -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
 GCONF_LIBS = -lgconf-2 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
 GETTEXT_PACKAGE = status-area-applet-tor
-GMOFILES =  de.gmo
+GMOFILES =  de.gmo fi.gmo
 GMSGFMT = /scratchbox/tools/bin/msgfmt
 GREP = /scratchbox/tools/bin/grep
 HD_CFLAGS = -DMAEMO_CHANGES -DMAEMO_GTK -pthread -I/usr/include/libhildondesktop-1 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/hildon-1 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gconf/2  
@@ -195,7 +197,7 @@
 PACKAGE_VERSION = 
 PATH_SEPARATOR = :
 PKG_CONFIG = /scratchbox/tools/bin/pkg-config
-POFILES =  de.po
+POFILES =  de.po fi.po
 POSUB = po
 PO_IN_DATADIR_FALSE = 
 PO_IN_DATADIR_TRUE = 
@@ -206,7 +208,7 @@
 STRIP = arm-linux-gnueabi-strip
 USE_NLS = yes
 VALAC = /usr/bin/valac
-VERSION = 0.0.2
+VERSION = 0.0.4
 XGETTEXT = /scratchbox/tools/bin/xgettext
 abs_builddir = /home/ph5/tor/tor-status
 abs_srcdir = /home/ph5/tor/tor-status
@@ -289,10 +291,13 @@
 	data/statusarea_tor_connecting.png
 
 status_area_applet_tor_la_SOURCES = \
-	src/status-area-applet-tor.c
+	src/status-area-applet-tor.c \
+	src/torcontrol.c \
+	src/torcontrol-socket.c
 
 status_area_applet_tor_la_VALASOURCES = \
-	src/status-area-applet-tor.vala
+	src/status-area-applet-tor.vala \
+	src/torcontrol.vala
 
 status_area_applet_tor_la_VALAFLAGS = --vapidir ./vapi --pkg config \
 	--pkg conic --pkg gconf-2.0 --pkg hildon-1 --pkg libhildondesktop-1 \
@@ -302,12 +307,3 @@
         -DGETTEXT_PACKAGE=\"status-area-applet-tor\"
 
 status_area_applet_tor_la_LIBADD = ${HD_LIBS} ${GCONF_LIBS} ${CONIC_LIBS}
-status_area_applet_tor_la_LDFLAGS = -module -avoid-version
-ACLOCAL_AMFLAGS = -Im4
-CLEANFILES = \
-	${status_area_applet_tor_SOURCES}
-
-all: config.h
-	$(MAKE) $(AM_MAKEFLAGS) all-recursive
-
-.SUFFIXES:

=== debian/changelog ===
status-area-applet-tor (0.0.4-1) fremantle; urgency=low

  * Build-dependency on vala 0.7.10-maemo1 allowed to drop local VAPI copies
  * Added bridge relay configuration dialog
  * Enabled bridge relays via Tor control channel

 -- Philipp Zabel <philipp.zabel@gmail.com>  Sun, 28 Feb 2010 19:26:56 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/network
 Priority: extra
 Maintainer: Philipp Zabel <philipp.zabel@gmail.com>
-Build-Depends: vala (>= 0.7.9), libconic0-dev, libhildondesktop1-dev, libosso-dev, osso-af-settings
+Build-Depends: vala (>= 0.7.10-maemo1), libconic0-dev, libhildondesktop1-dev, libosso-dev, osso-af-settings
 Standards-Version: 4
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=Tor
 
@@ -20,6 +20,9 @@
  Remember that this is development code -- don't rely on the current Tor
  network if you really need strong anonymity.
 XB-Maemo-Display-Name: Tor Status Area Applet
+XB-Maemo-Upgrade-Description: New: bridge relay configuration support
+ This version adds dialogs to configure bridge relays. A log viewer allows
+ to inspect Tor output.
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=Tor&component=UI
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c

## status-area-applet-tor 0.0.4-2

=== Makefile ===
--- 
+++ 
@@ -31,8 +31,8 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-build_triplet = arm-unknown-linux-gnueabi
-host_triplet = arm-unknown-linux-gnueabi
+build_triplet = i486-pc-linux-gnu
+host_triplet = i486-pc-linux-gnu
 subdir = .
 DIST_COMMON = $(am__configure_deps) $(srcdir)/Makefile.am \
 	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
@@ -117,22 +117,22 @@
 ACLOCAL = ${SHELL} /home/ph5/tor/tor-status/missing --run aclocal-1.10
 ALL_LINGUAS = de fi
 AMTAR = ${SHELL} /home/ph5/tor/tor-status/missing --run tar
-AR = arm-linux-gnueabi-ar
+AR = i486-linux-gnu-ar
 AUTOCONF = ${SHELL} /home/ph5/tor/tor-status/missing --run autoconf
 AUTOHEADER = ${SHELL} /home/ph5/tor/tor-status/missing --run autoheader
 AUTOMAKE = ${SHELL} /home/ph5/tor/tor-status/missing --run automake-1.10
 AWK = gawk
 CATALOGS =  de.gmo fi.gmo
 CATOBJEXT = .gmo
-CC = arm-linux-gnueabi-gcc
+CC = i486-linux-gnu-gcc
 CCDEPMODE = depmode=gcc3
 CFLAGS = -Wall -g -O2 -Wall -Wmissing-prototypes -Wmissing-declarations
 CONIC_CFLAGS = -I/usr/include/conic -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
 CONIC_LIBS = -lconic -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
-CPP = arm-linux-gnueabi-gcc -E
+CPP = i486-linux-gnu-gcc -E
 CPPFLAGS = 
-CXX = arm-linux-gnueabi-g++
-CXXCPP = arm-linux-gnueabi-g++ -E
+CXX = i486-linux-gnu-g++
+CXXCPP = i486-linux-gnu-g++ -E
 CXXDEPMODE = depmode=gcc3
 CXXFLAGS = -g -O2
 CYGPATH_W = echo
@@ -201,11 +201,11 @@
 POSUB = po
 PO_IN_DATADIR_FALSE = 
 PO_IN_DATADIR_TRUE = 
-RANLIB = arm-linux-gnueabi-ranlib
+RANLIB = i486-linux-gnu-ranlib
 SED = /scratchbox/tools/bin/sed
 SET_MAKE = 
 SHELL = /bin/sh
-STRIP = arm-linux-gnueabi-strip
+STRIP = i486-linux-gnu-strip
 USE_NLS = yes
 VALAC = /usr/bin/valac
 VERSION = 0.0.4
@@ -223,11 +223,11 @@
 am__tar = ${AMTAR} chof - "$$tardir"
 am__untar = ${AMTAR} xf -
 bindir = ${exec_prefix}/bin
-build = arm-unknown-linux-gnueabi
-build_alias = arm-linux-gnueabi
-build_cpu = arm
-build_os = linux-gnueabi
-build_vendor = unknown
+build = i486-pc-linux-gnu
+build_alias = i486-linux-gnu
+build_cpu = i486
+build_os = linux-gnu
+build_vendor = pc
 builddir = .
 datadir = ${datarootdir}
 datarootdir = ${prefix}/share
@@ -236,11 +236,11 @@
 exec_prefix = ${prefix}
 hildondesktoplibdir = /usr/lib/hildon-desktop
 hildonstatusmenudesktopentrydir = /usr/share/applications/hildon-status-menu
-host = arm-unknown-linux-gnueabi
-host_alias = arm-linux-gnueabi
-host_cpu = arm
-host_os = linux-gnueabi
-host_vendor = unknown
+host = i486-pc-linux-gnu
+host_alias = i486-linux-gnu
+host_cpu = i486
+host_os = linux-gnu
+host_vendor = pc
 htmldir = ${docdir}
 icon18dir = /usr/share/icons/hicolor/18x18/hildon
 icon48dir = /usr/share/icons/hicolor/48x48/hildon
@@ -307,3 +307,6 @@
         -DGETTEXT_PACKAGE=\"status-area-applet-tor\"
 
 status_area_applet_tor_la_LIBADD = ${HD_LIBS} ${GCONF_LIBS} ${CONIC_LIBS}
+status_area_applet_tor_la_LDFLAGS = -module -avoid-version
+ACLOCAL_AMFLAGS = -Im4
+CLEANFILES = \

=== po/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 GETTEXT_PACKAGE = status-area-applet-tor
 PACKAGE = status-area-applet-tor
-VERSION = 0.0.2
+VERSION = 0.0.4
 
 SHELL = /bin/sh
 
@@ -52,7 +52,7 @@
 MSGMERGE = INTLTOOL_EXTRACT=$(INTLTOOL_EXTRACT) srcdir=$(srcdir) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --dist
 GENPOT   = INTLTOOL_EXTRACT=$(INTLTOOL_EXTRACT) srcdir=$(srcdir) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --pot
 
-ALL_LINGUAS = de
+ALL_LINGUAS = de fi
 
 PO_LINGUAS=$(shell if test -r $(srcdir)/LINGUAS; then grep -v "^\#" $(srcdir)/LINGUAS; else echo "$(ALL_LINGUAS)"; fi)

=== debian/changelog ===
status-area-applet-tor (0.0.4-2) fremantle; urgency=low

  * Depend on Tor 0.2.1.23 bugfix release (performance improvements)

 -- Philipp Zabel <philipp.zabel@gmail.com>  Thu, 04 Mar 2010 19:51:45 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: status-area-applet-tor
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, tor (>= 0.2.1.22), polipo
+Depends: ${shlibs:Depends}, ${misc:Depends}, tor (>= 0.2.1.23), polipo
 XB-Description: Control usage of Tor (The Onion Router) to provide online anonymity
  Tor is a network of virtual tunnels that allows people and groups to improve
  their privacy and security on the Internet. The latest information about Tor
@@ -23,6 +23,7 @@
 XB-Maemo-Upgrade-Description: New: bridge relay configuration support
  This version adds dialogs to configure bridge relays. A log viewer allows
  to inspect Tor output.
+ The tor dependency was updated to the 0.2.1.23 bugfix release.
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=Tor&component=UI
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c

## status-area-applet-tor 0.0.5-1

=== Makefile ===
--- 
+++ 
@@ -64,6 +64,7 @@
 	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
 am_status_area_applet_tor_la_OBJECTS =  \
 	status_area_applet_tor_la-status-area-applet-tor.lo \
+	status_area_applet_tor_la-bridge-dialog.lo \
 	status_area_applet_tor_la-torcontrol.lo \
 	status_area_applet_tor_la-torcontrol-socket.lo
 status_area_applet_tor_la_OBJECTS =  \
@@ -208,7 +209,7 @@
 STRIP = i486-linux-gnu-strip
 USE_NLS = yes
 VALAC = /usr/bin/valac
-VERSION = 0.0.4
+VERSION = 0.0.5
 XGETTEXT = /scratchbox/tools/bin/xgettext
 abs_builddir = /home/ph5/tor/tor-status
 abs_srcdir = /home/ph5/tor/tor-status
@@ -292,11 +293,13 @@
 
 status_area_applet_tor_la_SOURCES = \
 	src/status-area-applet-tor.c \
+	src/bridge-dialog.c \
 	src/torcontrol.c \
 	src/torcontrol-socket.c
 
 status_area_applet_tor_la_VALASOURCES = \
 	src/status-area-applet-tor.vala \
+	src/bridge-dialog.vala \
 	src/torcontrol.vala
 
 status_area_applet_tor_la_VALAFLAGS = --vapidir ./vapi --pkg config \
@@ -307,6 +310,3 @@
         -DGETTEXT_PACKAGE=\"status-area-applet-tor\"
 
 status_area_applet_tor_la_LIBADD = ${HD_LIBS} ${GCONF_LIBS} ${CONIC_LIBS}
-status_area_applet_tor_la_LDFLAGS = -module -avoid-version
-ACLOCAL_AMFLAGS = -Im4
-CLEANFILES = \

=== po/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 GETTEXT_PACKAGE = status-area-applet-tor
 PACKAGE = status-area-applet-tor
-VERSION = 0.0.4
+VERSION = 0.0.5
 
 SHELL = /bin/sh
 
@@ -66,7 +66,8 @@
 EXTRA_DISTFILES = ChangeLog POTFILES.skip Makevars LINGUAS
 
 POTFILES = \
-	../src/status-area-applet-tor.vala
+	../src/status-area-applet-tor.vala \
+	../src/bridge-dialog.vala
 
 CATALOGS=$(shell LINGUAS="$(USE_LINGUAS)"; for lang in $$LINGUAS; do printf "$$lang.gmo "; done)

=== debian/changelog ===
status-area-applet-tor (0.0.5-1) fremantle; urgency=low

  * Fixed a bug in the TorControl socket opening code
  * Made the log view pannable horizontally

 -- Philipp Zabel <philipp.zabel@gmail.com>  Wed, 02 Jun 2010 22:32:23 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: user/network
 Priority: extra
 Maintainer: Philipp Zabel <philipp.zabel@gmail.com>
-Build-Depends: vala (>= 0.7.10-maemo1), libconic0-dev, libhildondesktop1-dev, libosso-dev, osso-af-settings
+Build-Depends: vala (>= 0.8.0), libconic0-dev, libhildondesktop1-dev, libosso-dev, osso-af-settings
 Standards-Version: 4
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=Tor
 
 Package: status-area-applet-tor
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, tor (>= 0.2.1.23), polipo
+Depends: ${shlibs:Depends}, ${misc:Depends}, tor (>= 0.2.1.25), polipo
 XB-Description: Control usage of Tor (The Onion Router) to provide online anonymity
  Tor is a network of virtual tunnels that allows people and groups to improve
  their privacy and security on the Internet. The latest information about Tor
@@ -20,10 +20,11 @@
  Remember that this is development code -- don't rely on the current Tor
  network if you really need strong anonymity.
 XB-Maemo-Display-Name: Tor Status Area Applet
-XB-Maemo-Upgrade-Description: New: bridge relay configuration support
- This version adds dialogs to configure bridge relays. A log viewer allows
- to inspect Tor output.
- The tor dependency was updated to the 0.2.1.23 bugfix release.
+XB-Maemo-Upgrade-Description: Bugfix for socket/connect error, Tor update
+ This version fixes a bug in the TorControl socket opening code that
+ causes a socket/connect error. Also the log view is now pannable
+ horizontally.
+ The tor dependency was updated to the 0.2.1.25 release.
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=Tor&component=UI
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c

## status-area-applet-tor 0.0.6-1

=== debian/changelog ===
status-area-applet-tor (0.0.6-1) fremantle; urgency=low

  * Fixed a bug that could kill hildon-status-menu during installation (#10798)
  * Depend on Tor 0.2.1.26

 -- Philipp Zabel <philipp.zabel@gmail.com>  Tue, 29 Jun 2010 19:53:26 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: status-area-applet-tor
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, tor (>= 0.2.1.25), polipo
+Depends: ${shlibs:Depends}, ${misc:Depends}, tor (>= 0.2.1.26), polipo
 XB-Description: Control usage of Tor (The Onion Router) to provide online anonymity
  Tor is a network of virtual tunnels that allows people and groups to improve
  their privacy and security on the Internet. The latest information about Tor
@@ -20,11 +20,10 @@
  Remember that this is development code -- don't rely on the current Tor
  network if you really need strong anonymity.
 XB-Maemo-Display-Name: Tor Status Area Applet
-XB-Maemo-Upgrade-Description: Bugfix for socket/connect error, Tor update
- This version fixes a bug in the TorControl socket opening code that
- causes a socket/connect error. Also the log view is now pannable
- horizontally.
- The tor dependency was updated to the 0.2.1.25 release.
+XB-Maemo-Upgrade-Description: Bugfix for installation error, Tor update
+ This version fixes bug #10798 which could during the first installation
+ cause all 3rd party status area applets to disappear until the next reboot.
+ The tor dependency was updated to the 0.2.1.26 release.
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=Tor&component=UI
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
